<?xml version="1.0" encoding="utf-8"?><testsuites><testsuite name="pytest" errors="0" failures="2" skipped="0" tests="17" time="3.339" timestamp="2022-11-25T15:14:34.571040" hostname="NTB500"><testcase classname="test_ShopingCard.Test_ShopingCard" name="test_addItem" time="0.003" /><testcase classname="test_ShopingCard.Test_ShopingCard" name="test_addItem_witch_is_already_there" time="0.002"><failure message="AssertionError: assert 2 == 3&#10; +  where 2 = Item(name='Kolo', prise=None, qvantity=2, timestamp=datetime.datetime(2022, 11, 25, 15, 14, 35, 2304), availability=True).qvantity">self = &lt;test_ShopingCard.Test_ShopingCard object at 0x000002136EECE0E0&gt;

    def test_addItem_witch_is_already_there(self):
        shopingCard = eshop.ShopingCard(
            item = [eshop.Item('Kolo', 10_000, 1, PATCH_NOW, False)] # koment
        )
    
        shopingCard.addItem("Kolo", qvantity=2)
    
        assert len(shopingCard.item) == 1
&gt;       assert shopingCard.item['Kolo'].qvantity == 3
E       AssertionError: assert 2 == 3
E        +  where 2 = Item(name='Kolo', prise=None, qvantity=2, timestamp=datetime.datetime(2022, 11, 25, 15, 14, 35, 2304), availability=True).qvantity

test_ShopingCard.py:33: AssertionError</failure></testcase><testcase classname="test_ShopingCard.Test_ShopingCard" name="test_addItem_monkypath" time="0.003" /><testcase classname="test_ShopingCard.Test_ShopingCard" name="test_addItem_mock" time="0.007"><failure message="ModuleNotFoundError: No module named 'eshop.STOCK'">thing = &lt;module 'eshop' (&lt;_frozen_importlib_external._NamespaceLoader object at 0x000002136EECD0C0&gt;)&gt;
comp = 'STOCK', import_path = 'eshop.STOCK'

    def _dot_lookup(thing, comp, import_path):
        try:
&gt;           return getattr(thing, comp)
E           AttributeError: module 'eshop' has no attribute 'STOCK'

..\AppData\Local\Programs\Python\Python310\lib\unittest\mock.py:1238: AttributeError

During handling of the above exception, another exception occurred:

self = &lt;test_ShopingCard.Test_ShopingCard object at 0x000002136EECE1A0&gt;
mocker = &lt;pytest_mock.plugin.MockerFixture object at 0x000002136F74B070&gt;

    def test_addItem_mock(self, mocker):
        shopingCard = eshop.ShopingCard()
&gt;       mocker.patch("eshop.STOCK.availability", lambda: True)

test_ShopingCard.py:54: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
venv\lib\site-packages\pytest_mock\plugin.py:404: in __call__
    return self._start_patch(
venv\lib\site-packages\pytest_mock\plugin.py:214: in _start_patch
    mocked = p.start()  # type: unittest.mock.MagicMock
..\AppData\Local\Programs\Python\Python310\lib\unittest\mock.py:1585: in start
    result = self.__enter__()
..\AppData\Local\Programs\Python\Python310\lib\unittest\mock.py:1421: in __enter__
    self.target = self.getter()
..\AppData\Local\Programs\Python\Python310\lib\unittest\mock.py:1608: in &lt;lambda&gt;
    getter = lambda: _importer(target)
..\AppData\Local\Programs\Python\Python310\lib\unittest\mock.py:1251: in _importer
    thing = _dot_lookup(thing, comp, import_path)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

thing = &lt;module 'eshop' (&lt;_frozen_importlib_external._NamespaceLoader object at 0x000002136EECD0C0&gt;)&gt;
comp = 'STOCK', import_path = 'eshop.STOCK'

    def _dot_lookup(thing, comp, import_path):
        try:
            return getattr(thing, comp)
        except AttributeError:
&gt;           __import__(import_path)
E           ModuleNotFoundError: No module named 'eshop.STOCK'

..\AppData\Local\Programs\Python\Python310\lib\unittest\mock.py:1240: ModuleNotFoundError</failure></testcase><testcase classname="test_httpbin" name="test_getStatusCode" time="0.240" /><testcase classname="test_httpbin" name="test_post" time="0.215" /><testcase classname="test_httpbin" name="test_server_error" time="0.207" /><testcase classname="test_mark" name="test_send_http" time="0.308" /><testcase classname="test_mark" name="test_something_quick" time="0.105" /><testcase classname="test_mark" name="test_another" time="0.207" /><testcase classname="test_mark.TestClass" name="test_method" time="0.422" /><testcase classname="test_mark_classlevel.TestClass" name="test_startup" time="0.001" /><testcase classname="test_mark_classlevel.TestClass" name="test_startup_and_more" time="0.001" /><testcase classname="test_mark_platform" name="test_if_apple_is_evil" time="0.002" /><testcase classname="test_mark_platform" name="test_if_linux_works" time="0.008" /><testcase classname="test_mark_platform" name="test_if_win32_crashes" time="0.007" /><testcase classname="test_mark_platform" name="test_runs_everywhere" time="0.009" /></testsuite></testsuites>